//
// © 2018-2020 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
//

import UIKit

enum ZigbeeNotificationReason {
    case enabledChanged
    case coordinatorStateChanged
    case joinedDevicesChanged
    case joiningStateChanged
}

struct ZigbeeNotification: PlayerControllerNotification {
    static var name = Notification.Name.ZigbeeStateDidChangeNotification
    var sender: PlayerControllerProtocol
    var device: IoTDevice
    var reason: ZigbeeNotificationReason
    var payload: Any?
}
